//
// Statemachine code from reading SCXML file 'statemachine.scxml'
// Created by: The Qt SCXML Compiler version 1 (Qt 5.9.4)
// WARNING! All changes made in this file will be lost!
//

#ifndef STATEMACHINE_H
#define STATEMACHINE_H

#include <QScxmlStateMachine>
#include <QString>
#include <QVariant>

class anywhere;

class Directions: public QScxmlStateMachine
{
    /* qmake ignore Q_OBJECT */
    Q_OBJECT
    Q_PROPERTY(bool anyplace)
    Q_PROPERTY(bool nowhere)
    Q_PROPERTY(bool somewhere)


public:
    Q_INVOKABLE Directions(QObject *parent = 0);
    ~Directions();



Q_SIGNALS:


private:
    struct Data;
    friend struct Data;
    struct Data *data;
};

class anywhere: public QScxmlStateMachine
{
    /* qmake ignore Q_OBJECT */
    Q_OBJECT
    Q_PROPERTY(bool here)
    Q_PROPERTY(bool there)


public:
    Q_INVOKABLE anywhere(QObject *parent = 0);
    ~anywhere();



Q_SIGNALS:


private:
    struct Data;
    friend struct Data;
    struct Data *data;
};

Q_DECLARE_METATYPE(::Directions*)
Q_DECLARE_METATYPE(::anywhere*)

#endif // STATEMACHINE_H
